%global pkg_name        Compress-LZF
%global pkg_version     2.0
%global rpm_pkg_version 2.0
%global rpm_pkg_release 1.n0i.6

Summary:       Extremely light-weight Lempel-Ziv-Free compression
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/ML/MLEHMANN/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl


%description
LZF is an extremely fast (not that much slower than a pure memcpy)
compression algorithm. It is ideal for applications where you want to save
*some* space but not at the cost of speed. It is ideal for repetitive data
as well. The module is self-contained and very small (no large library to
be pulled in). It is also free, so there should be no problems incoporating
this module into commercial programs.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes COPYING* README


%changelog
* Wed Nov 14 2007 Marius Feraru <altblue@n0i.net> - 2.0-1.n0i.6
- version 2.0
- spec update (new reb00t build tools)

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.80-1.n0i.5.1.8
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.8

* Sun Jul 09 2006 Marius Feraru <altblue@n0i.net> - 1.65-1.n0i.4
- version 1.65

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 1.60-2.n0i.3
- automatic rebuild (perl 5.8.8)

* Thu Oct 06 2005 Marius Feraru <altblue@n0i.net> 1.60-1.n0i.2.1.6
- version 1.6

* Sat Jul 30 2005 Marius Feraru <altblue@n0i.net> 1.51-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/0.1
- rebuild on perl 5.8.7
